globus_fifo.h(3)

NAME
globus_fifo.h - Globus FIFO.

SYNOPSIS

#include 'globus_list.h'

  Typedefs

typedef struct globus_fifo_s * globus_fifo_t

  Functions

int globus_fifo_init (globus_fifo_t *fifo)
Initialize the fifo structure.
void globus_fifo_destroy (globus_fifo_t *fifo)
void globus_fifo_destroy_all (globus_fifo_t *fifo, void(*datum_free)(void *))
int globus_fifo_empty (const globus_fifo_t *fifo)
int globus_fifo_size (const globus_fifo_t *fifo)
int globus_fifo_enqueue (globus_fifo_t *fifo, void *datum)
globus_fifo_t * globus_fifo_copy (const globus_fifo_t *fifo)
void * globus_fifo_peek (globus_fifo_t *fifo)
void * globus_fifo_tail_peek (globus_fifo_t *fifo)
void * globus_fifo_remove (globus_fifo_t *headp, void *datum)
void * globus_fifo_dequeue (globus_fifo_t *fifo)
int globus_fifo_move (globus_fifo_t *fifo_dest, globus_fifo_t *fifo_src)
globus_list_t * globus_fifo_convert_to_list (globus_fifo_t *fifo)

Detailed Description

Globus FIFO.

This file defines the globus_fifo_t type useful for queuing arbitrary data (via void-pointer)

Author

Generated automatically by Doxygen for globus_common from the source code.